package com.example.zadaniekwiaciarnia;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

public class Wycena extends AppCompatActivity {
    Button zaplac,powrotDoGlownego;
    TextView kwiatTekst, iloscTekst, wstazkaTekst, opakowanieTekst, cenaTekst;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_wycena);
        zaplac=findViewById(R.id.przyciskZaplac);
        powrotDoGlownego=findViewById(R.id.przyciskPowrot);
        kwiatTekst=findViewById(R.id.kwiat);
        iloscTekst=findViewById(R.id.ilosc);
        wstazkaTekst=findViewById(R.id.wstazka);
        opakowanieTekst=findViewById(R.id.opakowanie);
        cenaTekst=findViewById(R.id.cenaCalkowita);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.wycenka), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
        float cena = getIntent().getFloatExtra("CENA", 0.0f);
        String kwiat = getIntent().getStringExtra("KWIAT");
        int ilosc = getIntent().getIntExtra("ILOSC", 0);
        String opakowanie = getIntent().getStringExtra("OPAKOWANIE");
        boolean wartosc = getIntent().getBooleanExtra("WSTAZKA",true);
        String tmp="";
        if(wartosc)tmp="tak";
        else tmp="nie";
        kwiatTekst.setText("Wybrany kwiat: "+kwiat);
        iloscTekst.setText("Ilość kwiatów: "+ilosc);
        wstazkaTekst.setText("Wstążka: "+tmp);
        opakowanieTekst.setText("Rodzaj opakowania: "+opakowanie);
        cenaTekst.setText("Cena całkowita: "+cena+" zł");
        zaplac.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Toast.makeText(Wycena.this,"Zapłacono",Toast.LENGTH_SHORT).show();
            }
        });
        powrotDoGlownego.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent intent = new Intent(getApplicationContext(), MainActivity.class);
                startActivity(intent);
                finish();
            }
        });


}}
